Package org.apache.sling.query.impl.iterator

## Class OptionStrippingIterator<T>

- java.lang.Object
- - org.apache.sling.query.impl.iterator.OptionStrippingIterator<T>

All Implemented Interfaces:
  `Iterator<T>`

    public class OptionStrippingIterator<T>
    extends Object
    implements Iterator<T>

### Constructor Summary

Constructors
`OptionStrippingIterator​(Iterator<org.apache.sling.query.api.internal.Option<T>> iterator)`

### Method Summary

All Methods Instance Methods Concrete Methods
`boolean` `hasNext()`
`T` `next()`
`void` `remove()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Methods inherited from interface java.util.Iterator

`forEachRemaining`

### Constructor Detail

#### OptionStrippingIterator

    public OptionStrippingIterator​(Iterator<org.apache.sling.query.api.internal.Option<T>> iterator)

### Method Detail

#### hasNext

    public boolean hasNext()

Specified by:
  `hasNext` in interface `Iterator<T>`

#### next

    public T next()

Specified by:
  `next` in interface `Iterator<T>`

#### remove

    public void remove()

Specified by:
  `remove` in interface `Iterator<T>`